Name:           freeminer
Version:        0.4.14.8
Release:        %mkrel 4
Summary:        Open source Minecraft-inspired sandbox game based on Minetest
Group:          Games/Simulation
License:        GPLv3+ and CC-BY-SA 3.0
URL:            http://freeminer.org/
Source0:        https://github.com/freeminer/freeminer/releases/download/%{version}/%{name}-%{version}.zip
Patch0:         freeminer-0.4.12.6-mga-desktop.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  gmp-devel
BuildRequires:  irrlicht-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(leveldb)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(msgpack)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)

%description
Freeminer is a Minecraft-inspired sandbox game.

Freeminer is based on Minetest which is developed by a number of contributors
from all over the globe. Unlike Minetest it aims to make the game fun while
trading off some bits of perfectionism.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DRUN_IN_PLACE=0 \
       -DCUSTOM_BINDIR:PATH=%{_gamesbindir} \
       -DCUSTOM_LOCALEDIR:PATH=%{_datadir}/locale \
       -DCUSTOM_SHAREDIR:PATH=%{_gamesdatadir}/%{name} \
       -DENABLE_SYSTEM_MSGPACK=ON \
       -DENABLE_SYSTEM_JSONCPP=ON \
       -DENABLE_CURL:BOOL=ON \
       -DENABLE_GETTEXT:BOOL=ON \
       -DENABLE_IPV4_DEFAULT:BOOL=OFF \
       -DENABLE_LEVELDB:BOOL=ON \
       -DENABLE_REDIS:BOOL=OFF \
       -DBUILD_SHARED_LIBS:BOOL=OFF

%make_build

%install
%make_install -C build

%find_lang %{name}

%files -f %{name}.lang
%doc README.md freeminer.conf.example
%doc doc/*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*


%changelog
* Mon Jan 02 2017 akien <akien> 0.4.14.8-4.mga6
+ Revision: 1079604
- Rebuild for libjsoncpp changed soname

* Sun Jan 01 2017 akien <akien> 0.4.14.8-2.mga6
+ Revision: 1079431
- Rebuild for leveldb 1.19

* Thu Aug 11 2016 akien <akien> 0.4.14.8-1.mga6
+ Revision: 1045782
- Version 0.4.14.8

* Sun Feb 14 2016 umeabot <umeabot> 0.4.13.7-3.mga6
+ Revision: 960195
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.4.13.7-2.mga6
+ Revision: 895155
- add more docs to fix build with latest rpm

* Sat Aug 29 2015 fwang <fwang> 0.4.13.7-1.mga6
+ Revision: 870872
- fix jsoncpp find path
- use system libs
- 0.4.13.7

  + akien <akien>
    - Rebuild for msgpack

* Sun Feb 22 2015 akien <akien> 0.4.12.6-1.mga5
+ Revision: 816320
- Version 0.4.12.6

* Sun Dec 28 2014 akien <akien> 0.4.11.5-1.mga5
+ Revision: 806797
- Version 0.4.11.5

* Fri Dec 05 2014 akien <akien> 0.4.10.4-1.mga5
+ Revision: 801616
- Version 0.4.10.4

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9.3-5.mga5
+ Revision: 741261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9.3-4.mga5
+ Revision: 679344
- Mageia 5 Mass Rebuild

* Tue Apr 29 2014 akien <akien> 0.4.9.3-3.mga5
+ Revision: 618905
- Add Debian patch to fix i18n (from minetest's repo)
- Disable ipv6 as default setting (it failed if ipv6 was enabled but not configured)

* Tue Apr 29 2014 akien <akien> 0.4.9.3-2.mga5
+ Revision: 618880
- Use proper source archive, the former lacked recursive content
- Do not build internal components as shared libraries
- Add LevelDB support

* Sun Apr 27 2014 akien <akien> 0.4.9.3-1.mga5
+ Revision: 618506
- imported package freeminer, based off our minetest package

